Data Fields
_PurpleRoomlist Struct Reference

Data Structures. More...

`#include <roomlist.h>`

## Data Fields
PurpleAccount * | account
| The account this list belongs to. More...
GList * | fields
| The fields. More...
GList * | rooms
| The list of rooms. More...
gboolean | in_progress
| The listing is in progress. More...
gpointer | ui_data
| UI private data. More...
gpointer | proto_data
guint | ref
| Prpl private data. More...

## Detailed Description

Data Structures.

Represents a list of rooms for a given connection on a given protocol.

Definition at line 69 of file roomlist.h.

## Field Documentation

## ◆ account

PurpleAccount* _PurpleRoomlist::account

The account this list belongs to.

Definition at line 70 of file roomlist.h.

## ◆ fields

GList* _PurpleRoomlist::fields

The fields.

Definition at line 71 of file roomlist.h.

## ◆ in_progress

gboolean _PurpleRoomlist::in_progress

The listing is in progress.

Definition at line 73 of file roomlist.h.

## ◆ ref

guint _PurpleRoomlist::ref

Prpl private data.

The reference count.

Definition at line 76 of file roomlist.h.

## ◆ rooms

GList* _PurpleRoomlist::rooms

The list of rooms.

Definition at line 72 of file roomlist.h.

## ◆ ui_data

gpointer _PurpleRoomlist::ui_data

UI private data.

Definition at line 74 of file roomlist.h.

The documentation for this struct was generated from the following file:

- roomlist.h